#include <stdio.h>

void swap(void *x, void *y, size_t size) {
    char temp[size];
    for (size_t i = 0; i < size; i++) {
        temp[i] = ((char *)x)[i];
        ((char *)x)[i] = ((char *)y)[i];
        ((char *)y)[i] = temp[i];
    }
}

int main() {
    int a = 5, b = 10;
    swap(&a, &b, sizeof(int));
    printf("a: %d, b: %d\n", a, b);

    double c = 1.23, d = 4.56;
    swap(&c, &d, sizeof(double));
    printf("c: %.2f, d: %.2f\n", c, d);

    return 0;
}
